//
//  NBBeacon.h
//  NswBaaSSDK
//
//  Copyright (C) 2014 NIPPON SYSTEMWARE CO.,LTD. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 * 大まかな近接距離を表す 【SDKバージョン2.0.0以降】
 */
typedef NS_ENUM(NSInteger, NBProximity) {
    /** 不明 */
	NBProximityUnknown,
    /** とても近い */
	NBProximityImmediate,
    /** 近い */
	NBProximityNear,
    /** 遠い */
	NBProximityFar
};

/**
 * ポスモバWebで登録したビーコンを表すクラス 【SDKバージョン2.0.0以降】
 */
@interface NBBeacon : NSObject

/**
 * 名称
 */
@property (nonatomic) NSString *name;

/**
 * タグ
 */
@property (nonatomic) NSString *tag;

/**
 * ビーコンID
 */
@property (nonatomic) int beaconId;

/**
 * 座標1
 */
@property (nonatomic) double pos1;

/**
 * 座標2
 */
@property (nonatomic) double pos2;

/**
 * 座標3
 */
@property (nonatomic) double pos3;

/**
 * 座標タグ
 */
@property (nonatomic) NSString *locationTag;

/**
 * UUID
 */
@property (nonatomic) NSString *uuid;

/**
 * major
 */
@property (nonatomic) int major;

/**
 * minor
 */
@property (nonatomic) int minor;

/**
 * 関連ランドマークのID
 */
@property (nonatomic) NSString *landmarkId;

/**
 * 電波強度(ビーコン検出時)
 */
@property (nonatomic) int rssi;

/**
 * 近接距離(ビーコン検出時)
 */
@property (nonatomic) NBProximity proximity;

/**
 * 近接距離の精度(ビーコン検出時)
 */
@property (nonatomic) double accuracy;

@end
