//
//  NBLandmark.h
//  NswBaaSSDK
//
//  Copyright (C) 2014 NIPPON SYSTEMWARE CO.,LTD. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 * ポスモバWebで登録したランドマークを表すクラス
 */
@interface NBLandmark : NSObject

/**
 * 名称
 */
@property (nonatomic) NSString *name;

/**
 * 緯度
 */
@property (nonatomic) double latitude;

/**
 * 経度
 */
@property (nonatomic) double longitude;

/**
 * 接近距離
 */
@property (nonatomic) int rad;

/**
 * 管理用ID
 */
@property (nonatomic) NSString *landmarkId;

/**
 * タイプ 【SDKバージョン2.0.0以降】
 */
@property (nonatomic) NSString *type;

/**
 * タグ 【SDKバージョン2.0.0以降】
 */
@property (nonatomic) NSString *tag;

/**
 * URL 【SDKバージョン2.0.0以降】
 */
@property (nonatomic) NSString *linkURL;

/**
 * 説明 【SDKバージョン2.0.0以降】
 */
@property (nonatomic) NSString *descr;

/**
 * データ 【SDKバージョン2.0.0以降】
 */
@property (nonatomic) NSString *textData;

/**
 * データファイルURL 【SDKバージョン2.0.0以降】
 */
@property (nonatomic) NSString *dataURL;

/**
 * ランドマークコード 【SDKバージョン3.2.0以降】
 */
@property (nonatomic) NSString *code;

/**
 * 最終更新日時 【SDKバージョン2.0.0以降】
 */
@property (nonatomic) NSDate *lastUpdateDate;

@end
